log using "C:\Projects\Stata Weighting Book\Program files\2 Basic Steps\Ex.2.1_2.2_2.3.smcl", replace

* Select simple random sample without replacement of fixed size
* use use "nhis.dta", clear
use "C:\Projects\Stata Weighting Book\Data\nhis\nhis.dta", clear
gen srswt = _N/100
gen fpc = _N
sample 100, count

* Select simple random sample without replacement at a rate of 10%
use "C:\Projects\Stata Weighting Book\Data\nhis\nhis.dta", clear
gen srswrwt = 1/0.10
gen fpc = 0.10
sample 10

* Select simple random sample with replacement; compute weight as 1/f
use "C:\Projects\Stata Weighting Book\Data\nhis\nhis.dta", clear
gen srswrwt = _N/100
bsample 100
describe
